Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class BoxIdType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.IdentifierType
          be.fgov.ehealth.ehbox.core.v3.BoxIdType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SubstituteType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class BoxIdType

extends IdentifierType
implements Serializable

Specify another eHealthBox to use for the request

Java class for BoxIdType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BoxIdType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
           <sequence>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BoxIdType()`

Method Summary
`String` | `getQuality()` Gets the value of the quality property.
`void` | `setQuality(String value)` Sets the value of the quality property.

Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType
`getId, getSubType, getType, setId, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoxIdType

    public BoxIdType()

Method Detail

### getQuality

    public String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    public void setQuality(String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.